# Class: TransactionService

## Hierarchy

- `"medusa-interfaces"`

  ↳ **`TransactionService`**

## Constructors

### constructor

• **new TransactionService**()

#### Overrides

BaseService.constructor

#### Defined in

[services/transaction.js:5](https://github.com/medusajs/medusa/blob/2d3e404f/packages/medusa/src/services/transaction.js#L5)

## Methods

### createSession

▸ **createSession**(): `Promise`<`ClientSession`\>

#### Returns

`Promise`<`ClientSession`\>

#### Defined in

[services/transaction.js:9](https://github.com/medusajs/medusa/blob/2d3e404f/packages/medusa/src/services/transaction.js#L9)
